Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class TreeListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<TreeListener>
                  com.google.gwt.user.client.ui.TreeListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TreeListener>, java.util.Collection<TreeListener>, java.util.List<TreeListener>, java.util.RandomAccess

Deprecated. Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type)`

    @Deprecated
    public class TreeListenerCollection

extends java.util.ArrayList<TreeListener>

A helper class for implementers of the SourcesClickEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ClickListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`TreeListenerCollection()` Deprecated.

Method Summary
`void` | `fireItemSelected(TreeItem item)` Deprecated. Fires a "tree item selected" event to all listeners.
`void` | `fireItemStateChanged(TreeItem item)` Deprecated. Fires a "tree item state changed" event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### TreeListenerCollection

    public TreeListenerCollection()

  Deprecated.

Method Detail

### fireItemSelected

    public void fireItemSelected(TreeItem item)

  Deprecated.
  Fires a "tree item selected" event to all listeners.

  Parameters:
    `item` - the tree item being selected.

### fireItemStateChanged

    public void fireItemStateChanged(TreeItem item)

  Deprecated.
  Fires a "tree item state changed" event to all listeners.

  Parameters:
    `item` - the tree item whose state has changed.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD